@import "~/src/sass/variables.sass"

.drawer-container
  position: fixed
  top: 0px
  left: 0px
  width: 100%
  height: 100%
  margin: 0px

  transition: background-color 300ms ease-in-out

  &.opened
    background-color: transparentize(var(--color-neutral-variant-20, $neutral-variant-20), 0.6)
    .drawer
      transform: translateX(85vw)

  &.closed
    pointer-events: none
    background-color: transparentize(var(--color-neutral-variant-20, $neutral-variant-20), 1)

  .drawer
    position: fixed
    top: 0px
    left: -85vw

    width: 75%
    max-width: 360px
    height: 100%

    margin: 0px

    transition: transform 300ms ease-in-out

    background-color: var(--color-surface, $light-surface)
    border-top-right-radius: 16px
    border-bottom-right-radius: 16px

    .drawer-category
      color: var(--color-on-surface-variant, $light-on-surface-variant)
      border-bottom: 1px var(--color-outline, $light-outline) solid
      margin: 28px

      &:last-child
        border: none

      .drawer-category-name
        margin: 0px

      .drawer-label:last-child
        margin-bottom: 16px

      .drawer-label
        height: 56px
        border-radius: 100px

        margin-top: 16px

        margin-left: -16px
        margin-right: -16px
        padding-left: 16px
        padding-right: 24px

        color: var(--color-on-surface-variant, $light-on-surface-variant)
        background-color: transparent

        display: flex
        align-items: center
        gap: 12px

        transition: background-color 70ms

        &:hover, &:focus
          background-color: transparentize(var(--color-secondary-container, $light-secondary-container), 0.92)
        &:active
          background-color: transparentize(var(--color-secondary-container, $light-secondary-container), 0.88)

        &.selected
          color: var(--color-on-secondary-container, $light-on-secondary-container)
          background-color: var(--color-secondary-container, $light-secondary-container)

        .drawer-label-icon
          font-size: 20px
          line-height: 20px

        .drawer-label-name
          font-size: 18px
          line-height: 18px


@media (prefers-color-scheme: dark)
  .drawer-container .drawer
    background-color: var(--color-surface, $dark-surface)

    .drawer-category
      color: var(--color-on-surface-variant, $dark-on-surface-variant)
      border-bottom: 1px var(--color-outline, $dark-outline) solid

      .drawer-label
        color: var(--color-on-surface-variant, $dark-on-surface-variant)

        &:hover, &:focus
          background-color: transparentize(var(--color-secondary-container, $dark-secondary-container), 0.92)
        &:active
          background-color: transparentize(var(--color-secondary-container, $dark-secondary-container), 0.88)

        &.selected
          color: var(--color-on-secondary-container, $dark-on-secondary-container)
          background-color: var(--color-secondary-container, $dark-secondary-container)